已棄用及已移除的功能

Adobe 持續評估產品功能,尋找應以更現代的替代方式來取代舊的功能,以提升整體客戶價值,並時時考慮回溯相容性。由於 Adobe Campaign Classic 可以搭配協力廠商工具使用,產品相容性將定期更新,以僅實施所支援的版本。不再與 Adobe Campaign Classic 相容的版本列於下方及「相容性矩陣」中。

為通知即將移除/遭取代的 Campaign Classic 功能,我們採用下列規則:

  • 首先我們發佈功能棄用的消息。雖然已棄用的功能仍支援現有使用者,但是這些功能將不會進一步增強或記錄。
  • 後續最新發行版本,則將最先移除已棄用的功能。本頁面將公佈實際的移除日期。

此流程讓客戶在實際移除之前,至少可以適應一個版本發行週期,以調整實作方式,及適應已棄用功能的新版本或後繼功能。

注意

發行說明將列出 Adobe Campaign 發行版本和新功能。

棄用的功能

本節列出最新 Campaign Classic 發行版本中已標示為棄用的功能。

通常,未來新發行版本預計移除的功能,將先設為棄用。新的 Campaign Classic 客戶將無法使用這些功能,或者這些功能將不用於任何新實施。產品文件亦將移除這些功能。

建議客戶檢視是否在目前部署運用了棄用的功能,並規劃實施變更的計畫。請參閱目標移除日期,據此規劃您的環境和專案更新。

功能 取代的功能
Adobe Analytics 資料連接器

自Campaign第21.1發行版本開始,已棄用Adobe Analytics Data Connector。

如果您使用此連接器,則需要據此調整實施。瞭解更多

目標移除日期:2022 年

技術傳遞能力監視報告

從 Campaign 21.1 版開始,技術傳遞能力監視報告已棄用。

如有需要,您可以每天透過電子郵件收到此報告,直到功能移除日期為止。 若要請求,請開啟特定的支援案例,並指定要傳送報告的執行個體名稱和電子郵件地址。

Adobe 建議您與傳遞能力團隊合作,以定義最佳工具來監視執行個體的傳遞能力效能。

目標移除日期:2021 年底

OAuth 驗證(OAuth 和 JWT)

自 Campaign 第 20.3發行版本開始,已變更原本以 oAUTH 驗證設定為基礎而用於存取管道的觸發器整合驗證,並將其移動至 Adobe I/O。

如果您使用觸發器整合,則需要據此調整實施。進一步瞭解

如需與 OAuth 驗證折舊相關的資訊,請參閱第

目標移除日期:2021 年 11 月

已移除的功能

本節列出已從 Campaign Classic 移除的功能。

區域——功能 取代的功能
傳真頻道

自Campaign 21.1.3版開始,不再提供傳真通道。 瞭解更多

Demdex 網域

自Campaign 21.1.3發行版本開始,不再提供用於匯入和匯出受眾至Adobe Experience Cloud的Demdex網域。 瞭解更多

Windows NT 驗證

自 Campaign 第 20.3 發行版本開始,在使用 Microsoft SQL Server 配置新的資料庫時,已將 Windows NT 驗證從可用的驗證方法中移除。進一步瞭解

檔案式電子郵件封存

自 Campaign 第 20.2 發行版本開始,不再提供檔案式電子郵件封存功能。電子郵件封存現在透過專屬的 BCC 電子郵件地址提供。瞭解更多

銷售機會管理

自 Campaign 第 20.2 發行版本開始,將不再提供銷售機會管理套件。類似的功能可以透過其他原生工作流程活動和資料模型修改來實施。

Campaign API 文件 - jsapi.chm 檔案 自 Campaign 第 19.1 發行版本開始,可以透過專屬頁面使用 Campaign Classic API。如果您使用舊版 jsapi.chm 檔案,現在應參考新的線上版本
Campaign Orchestration - 預測式行銷 自 Campaign 18.10 發行版本開始,已無法再使用預測式行銷功能。
網頁應用程式 - Microsites 自 Campaign 18.10 發行版本開始,已不再提供 Microsites。您可以在 Adobe Campaign 配置檔案,限制僅能存取專屬網存取,並使用 DNS 別名在 Campaign 中使用個人化 URL,藉此提高安全性。瞭解更多
推播通知 - iOS Binary Connector 根據 Apple 的建議,Adobe 自 Campaign 18.10 發行版本起,移除舊版的 iOS Binary Connector。目前則提供功能更強大、效率更高的 HTTP/2 連接器。
decryptString API

出於安全原因,自 Campaign 18.6 發行版本起,新的安裝已不再預設提供 decryptString API。

在 18.6 版本升級後(及更新版本)的設定檔,不再啟用此 API,並已由 decryptPassword 函式取代。瞭解更多

行動裝置頻道 - MMS 和 WAP 推播訊息 自 Campaign 第 18.4 發行版本開始,不再提供 MMS 和 Wap 推播頻道。作為取代,您可以利用 SMS Push 傳遞。
行動裝置頻道 - LINE v1 自 Campaign 第 18.4 發行版本開始,不再提供 LINE Connect 套件。Adobe 建議使用新的 LINE Channel 套件取而代之。瞭解更多

已棄用的相容性

Campaign Classic 不再使用下列系統。請參閱相容性矩陣,以升級到更新版本,或在相容性結束之前移至新系統。

Adobe Campaign 20.2 發行版本

舊的 SMS 連接器自第 20.2 版開始將不再使用。請參閱「已棄用的功能」部分

相容性終止

注意

Adobe Campaign Classic 與「相容性矩陣」所列的所有系統和工具相容。這些協力廠商系統和工具的特定版本生命週期結束 (EOL) 時,Adobe Campaign 不再與這些版本相容:我們將不再使用這些系統和功能,後續的產品發行版本亦會將這些系統和功能從我們的相容性矩陣移除。請確保您使用相容性矩陣列出的任何系統的支援版本,以避免出現任何問題。

用戶端主控台

Adobe Campaign Classic 用戶端主控台無法在下列系統執行,因為編輯者已不使用這些系統。客戶若其中一個版本執行 Campaign 用戶端主控台,必須在目標移除日期前升級至最新版本。請參閱「相容性矩陣」。

  • Windows Server 2003、2008、2008 R2
  • Windows 7、XP、Vista
注意

自 Campaign 20.1 發行版本開始,Campaign Classic 用戶端主控台 32 位元已不再與 Campaign 最新版本相容。您需要使用 64 位元版本的用戶端主控台。

作業系統

自21.1.3版開始,已不再支援Debian 8。

自 19.1 發行版本開始,Adobe Campaign 不再與下列作業系統相容。

Web 伺服器

自 19.1 春季發行版本開始,Adobe Campaign 不再與下列 Web 伺服器相容。

工具

自 19.1 春季發行版本開始,Adobe Campaign 不再與下列工具相容。

資料庫引擎

Adobe 不支援下列資料庫引擎,因為其編輯者已不建議使用這些引擎。客戶若執行這些版本,需要升級至最新版本或改用其他引擎。

請參閱 Campaign 相容性矩陣,以取得相容版本清單。

同盟資料存取 (FDA)

自第 20.2 發行版本開始,Adobe Campaign 不再與下列 FDA 伺服器相容:

  • DB2 UDB 10.5

自第 19.1 春季發行版本開始,Adobe Campaign 不再與下列 FDA 伺服器相容:

Campaign Classic 與下列同盟資料存取 (FDA) 的伺服器不相容。

  • DB2 UDB 9.5、9.7。透過同盟資料存取 (FDA) 支援更新版本的 DB2。瞭解更多
  • Oracle 9i、10G R2。透過同盟資料存取 (FDA) 支援更新版本的 Oracle。瞭解更多
  • PostgreSQL 8.3、8.4、9.0、9.1、9.2。透過同盟資料存取 (FDA) 支援更新版本的 PostgreSQL。瞭解更多
  • MSSQL 2000、2005、2008 R2。透過同盟資料存取 (FDA) 支援更新版本的 SQL Server。瞭解更多
  • MySQL 5.1。透過同盟資料存取 (FDA) 支援更新版本的 MySQL。瞭解更多
  • InfiniDB 生命週期結束。瞭解更多
  • Teradata 13、13.1。透過同盟資料存取 (FDA) 支援更新版本的 Teradata。瞭解更多
  • Netezza 6.02、7.0。Netezza 生命週期結束。瞭解更多
  • AsterData 5.0。AsterData 生命週期結束。瞭解更多
  • Sybase IQ 15.2、15.4、15.5 和 Sybase ASE 15.0。透過同盟資料存取 (FDA) 支援更新版本的 Sybase。瞭解更多
  • Hadoop via HiveSQL:Hadoop 2.7.3、HiveSQL 1.2.1。Adobe Campaign Classic 仍將透過同盟資料存取 (FDA) 支援所列的 Hadoop via HiveSQL 版本,但是這些版本與:HortonWorks (HDP 2.4.X、2.5.x、2.6.x) 及 HDInsight 3.4 (HDP 2.4)、3.5 (HDP 2.5)、3.6 (HDP 2.6) 合併
  • Soap API - 內部部署:2007、2015、2016 年
  • Soap API - 線上:2015、2016 年
  • Web API – Microsoft Dynamics CRM 內部部署:2016、2016 更新 1
  • Web API – Microsoft Dynamics CRM 線上:2016、2016 更新 1
  • Oracle On Demand API<

RDBMS 伺服器

自19.1春季發行版本開始,Adobe Campaign不再與下列RDBMS伺服器相容:

  • Oracle 10GR2
  • PostgreSQL 9.0 到 9.3
  • SQL Server 2005
  • MySQL 5.1
  • DB2 UDB 9.7

SMS 連接器

Adobe Campaign與下列SMS連接器不相容:

  • Generic SMPP(支援二進位模式的 SMPP 第 3.4 版本)
  • Sybase365 (SAP SMS 365)
  • CLX Communications
  • Tele2
  • O2
  • iOS

本頁內容